ResolvePropertyMap (Apache Ant API)
Date: 2018-09-12

Package org.apache.tools.ant.property

## Class ResolvePropertyMap

- java.lang.Object
- - org.apache.tools.ant.property.ResolvePropertyMap

- All Implemented Interfaces:
    `GetProperty`

      public class ResolvePropertyMap
      extends java.lang.Object
      implements GetProperty

  Class to resolve properties in a map. This class is explicitly not threadsafe.
  Since:
    Ant 1.8.0

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ResolvePropertyMap​(Project project, GetProperty master, java.util.Collection<PropertyExpander> expanders)` | Constructor with a master getproperty and a collection of expanders.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `getProperty​(java.lang.String name)` | Returns the value of a property if it is set.
    `void` | `resolveAllProperties​(java.util.Map<java.lang.String,java.lang.Object> map)` | Deprecated. since Ant 1.8.2, use the three-arg method instead.
    `void` | `resolveAllProperties​(java.util.Map<java.lang.String,java.lang.Object> map, java.lang.String prefix)` | Deprecated. since Ant 1.8.2, use the three-arg method instead.
    `void` | `resolveAllProperties​(java.util.Map<java.lang.String,java.lang.Object> map, java.lang.String prefix, boolean prefixValues)` | The action method - resolves all the properties in a map.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResolvePropertyMap

          public ResolvePropertyMap​(Project project,
                                    GetProperty master,
                                    java.util.Collection<PropertyExpander> expanders)

      Constructor with a master getproperty and a collection of expanders.
      Parameters:
        `project` - the current ant project.
        `master` - the master property holder (usually PropertyHelper)
        `expanders` - a collection of expanders (usually from PropertyHelper).

  - ### Method Detail

    - #### getProperty

          public java.lang.Object getProperty​(java.lang.String name)

      Returns the value of a property if it is set.
      Specified by:
        `getProperty` in interface `GetProperty`
      Parameters:
        `name` - name of the property.
      Returns:
        the property value, or null for no match or for name being null.

    - #### resolveAllProperties

          @Deprecated
          public void resolveAllProperties​(java.util.Map<java.lang.String,java.lang.Object> map)

      Deprecated.
      since Ant 1.8.2, use the three-arg method instead.
      The action method - resolves all the properties in a map.
      Parameters:
        `map` - the map to resolve properties in.

    - #### resolveAllProperties

          @Deprecated
          public void resolveAllProperties​(java.util.Map<java.lang.String,java.lang.Object> map,
                                           java.lang.String prefix)

      Deprecated.
      since Ant 1.8.2, use the three-arg method instead.
      The action method - resolves all the properties in a map.
      Parameters:
        `map` - the map to resolve properties in.
        `prefix` - the prefix the properties defined inside the map will finally receive - may be null.

    - #### resolveAllProperties

          public void resolveAllProperties​(java.util.Map<java.lang.String,java.lang.Object> map,
                                           java.lang.String prefix,
                                           boolean prefixValues)

      The action method - resolves all the properties in a map.
      Parameters:
        `map` - the map to resolve properties in.
        `prefix` - the prefix the properties defined inside the map will finally receive - may be null.
        `prefixValues` - - whether the prefix will be applied to properties on the value side of the map as well.